Skip to main content
`Ctrl`+`K`

# PCTelescopeSetIgnoreKSPComputeOperators

Set a flag to have `PCTELESCOPE` ignore the function provided to `KSPComputeOperators()` in constructint the matrix on the reduced number of MPI processes

## Synopsis

    #include "petscksp.h"
    #include "petscdm.h"
    PetscErrorCode PCTelescopeSetIgnoreKSPComputeOperators(PC pc, PetscBool v)

Not Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- v - Use `PETSC_TRUE` to ignore the function (if defined) set via `KSPSetComputeOperators()` on `pc`

## See Also

KSP: Linear System Solvers, `PCTELESCOPE`, `PCTelescopeSetIgnoreDM()`, `PCTelescopeSetUseCoarseDM()`, `PCTelescopeGetIgnoreKSPComputeOperators()`

## Level

advanced

## Location

src/ksp/pc/impls/telescope/telescope.c

## Implementations

PCTelescopeSetIgnoreKSPComputeOperators_Telescope() in src/ksp/pc/impls/telescope/telescope.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages